
package com.utopiaindustries.qualitychecker.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class QualityLabel {

    @SerializedName("id")
    @Expose
    private Integer id;
    @SerializedName("sampleCode")
    @Expose
    private String sampleCode;
    @SerializedName("sampleSize")
    @Expose
    private Integer sampleSize;
    @SerializedName("qualityLevel")
    @Expose
    private Double qualityLevel;
    @SerializedName("noOfAcceptedDefects")
    @Expose
    private Integer noOfAcceptedDefects;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSampleCode() {
        return sampleCode;
    }

    public void setSampleCode(String sampleCode) {
        this.sampleCode = sampleCode;
    }

    public Integer getSampleSize() {
        return sampleSize;
    }

    public void setSampleSize(Integer sampleSize) {
        this.sampleSize = sampleSize;
    }

    public Double getQualityLevel() {
        return qualityLevel;
    }

    public void setQualityLevel(Double qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

    public Integer getNoOfAcceptedDefects() {
        return noOfAcceptedDefects;
    }

    public void setNoOfAcceptedDefects(Integer noOfAcceptedDefects) {
        this.noOfAcceptedDefects = noOfAcceptedDefects;
    }

}
